package lc.evelyn.svc;

import lc.mecha.log.MechaLogger;
import lc.mecha.log.MechaLoggerFactory;
import org.pircbotx.Configuration;
import org.pircbotx.PircBotX;
import org.pircbotx.hooks.ListenerAdapter;
import org.pircbotx.hooks.types.GenericMessageEvent;

/**
 * Evelyn is a digital assist in the guise of an IRC bot. It is programmed to inhabit the #leighco
 * channel on the LEIGH&CO IRC network.
 *
 * @author Alex Leigh
 * @since 1.0
 */
public class EvelynService extends ListenerAdapter {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(EvelynService.class);

    public static void main(String[] args) throws Exception {
        Configuration configuration = new Configuration.Builder()
                .setName("evelyn")
                .addServer("irc0.leigh-co.com")
                .addAutoJoinChannel("#leighco")
                .addListener(new EvelynService())
                .setRealName("evelyn")
                .setWebIrcUsername("evelyn")
                .buildConfiguration();

        PircBotX bot = new PircBotX(configuration);
        new Thread(new PastebinThread(bot)).start();


        bot.startBot();
    }

    @Override
    public void onGenericMessage(GenericMessageEvent event) {
        if (event.getMessage().startsWith("eve: hello"))
            event.respond("Hello!");
    }
}
